-- terracotta army not giving a free commander per age.
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQS', 'REQ_AGE_IS_ANTIQUITY'),                                                   -- only grant if antiquity
('MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQS', 'ASHOKA_ALT_MOD_CAPTURED_SETTLEMENT_PRODUCTION_SUBJECT_REQUIREMENTS_1'),           -- or if conquered
('MOD_TERRACOTTA_ARMY_COMMANDER_SUBJECT_REQUIREMENTS', 'MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQSET_CHECK');

INSERT INTO Requirements(RequirementId, RequirementType) VALUES
('MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQSET_CHECK', 'REQUIREMENT_REQUIREMENTSET_IS_MET');

INSERT INTO RequirementArguments(RequirementId, Name, Value) VALUES
('MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQSET_CHECK', 'RequirementSetId', 'MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQS');

INSERT INTO RequirementSets(RequirementSetId, RequirementSetType) VALUES
('MOD_TERRACOTTA_IS_ANTIQUITY_OR_IS_CONQUERED_REQS', 'REQUIREMENTSET_TEST_ANY');

-- fix amphibious not working on entering nav rivers

INSERT INTO UnitAbilityModifiers(UnitAbilityType, ModifierId) VALUES
('ABILITY_AMPHIBIOUS', 'AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS');

INSERT INTO ModifierArguments(ModifierId, Name, "Value") VALUES
('AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS', 'Obstacle', 'RIVER_NAVIGABLE');

INSERT INTO Modifiers(ModifierId, ModifierType) VALUES
('AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS', 'AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_SHORES_TYPE');