INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('MOD_HALE_O_KEAWE_MARINE_CULTURE_SUBJECT_REQUIREMENTS', 'SLTH_MODERN_BUGFIX_NOT_TURN_ONE_REQ'),
('MOD_ERDENE_ZUU_CAVALRY_CULTURE_SUBJECT_REQUIREMENTS', 'SLTH_MODERN_BUGFIX_NOT_TURN_ONE_REQ');

INSERT INTO Requirements(RequirementId, RequirementType, Inverse) VALUES
('SLTH_MODERN_BUGFIX_NOT_TURN_ONE_REQ', 'REQUIREMENT_GAME_TURN_IS_LESS_THAN_X', 1);

INSERT INTO RequirementArguments(RequirementId, Name, Value) VALUES
('SLTH_MODERN_BUGFIX_NOT_TURN_ONE_REQ', 'MaxGameTurn', 1);

INSERT INTO TypeTags(Type, Tag) VALUES
('BUILDING_OPERA_HOUSE', 'DIPLOMACY');

-- bugfix so Buganda Interlacustine both works on Military buildings like Military Academy and Aerodrome

INSERT INTO Constructible_WildcardAdjacencies(YieldChangeId, ConstructibleTag, RequiresActivation) VALUES
('InterlacustrineLakeAdjacencyProductionMilitary', 'MILITARY', '1');

INSERT INTO Adjacency_YieldChanges(ID, AdjacentLake, AdjacentResourceClass, Age, ProjectMaxYield, YieldChange, YieldType) VALUES
('InterlacustrineLakeAdjacencyProductionMilitary', '1', 'NO_RESOURCECLASS', 'AGE_MODERN', '1', '1.0', 'YIELD_PRODUCTION');

UPDATE ModifierArguments SET Value=Value || ', InterlacustrineLakeAdjacencyProductionMilitary' WHERE ModifierId='INTERLACUSTRINE_MOD_LAKE_ADJACENCY_BONUS_PRODUCTION';